%define major	6
%define libname	%mklibname matroska %{major}
%define develname %mklibname -d matroska

Summary:	Matroska Audio/Video file format library
Name:		libmatroska
Version:	1.4.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.matroska.org/
Source0:	http://dl.matroska.org/downloads/libmatroska/%{name}-%{version}.tar.bz2
BuildRequires:	libebml-devel >= 1.3.3

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{libname}
Summary:	Matroska Audio/Video file format shared library
Group:		System/Libraries

%description -n	%{libname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{develname}
Group:		Development/C++
Summary:	Matroska Audio/Video file format headers and static library
Requires:	%{libname} = %{version}
Provides:	libmatroska-devel = %{version}-%{release}
Obsoletes:	%mklibname -d matroska 0

%description -n	%{develname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%prep
%setup -q
chmod 644 LICENSE*

# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

%build
%configure2_5x
%make LIBS=-lebml

%install
%makeinstall_std

# fix lib permissions so that it gets properly stripped and -debug isn't empty
chmod a+x %{buildroot}%{_libdir}/*.so*

# don't ship .a or .la
rm -f %{buildroot}%{_libdir}/lib*.{a,la}

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc ChangeLog LICENSE*
%{_includedir}/matroska
%{_libdir}/lib*.so
%_libdir/pkgconfig/libmatroska.pc


%changelog
* Mon Nov 02 2015 luigiwalser <luigiwalser> 1.4.4-1.mga5
+ Revision: 897475
- 1.4.4 (fixes TALOS-CAN-0037, mga#17005)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-5.mga5
+ Revision: 746135
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.1-4.mga5
+ Revision: 726737
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-3.mga5
+ Revision: 681592
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.4.1-2.mga4
+ Revision: 539115
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 1.4.1-1.mga4
+ Revision: 491490
- 1.4.1

* Tue Aug 20 2013 luigiwalser <luigiwalser> 1.4.0-2.mga4
+ Revision: 468279
- rebuild for libebml

* Mon Jun 24 2013 fwang <fwang> 1.4.0-1.mga4
+ Revision: 446119
- bump libmajor
- fix req
- new version 1.4.0

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 fwang <fwang> 1.3.0-1.mga2
+ Revision: 148445
- fix lib major
- new version 1.3.0

* Fri Jul 01 2011 ahmad <ahmad> 1.2.0-1.mga2
+ Revision: 117054
- Update to 1.2.0
- Correct the License tag
- Bump BR libebml-devel version
- %%doc one more file and fix end of line encoding
- Build with our default compile flags
- Make the libraries executable so that the can be stripped and -debug isn't
  empty

* Wed Feb 02 2011 ahmad <ahmad> 1.1.0-2.mga1
+ Revision: 46458
- bump libebml BR to 1.2.0

* Wed Feb 02 2011 ahmad <ahmad> 1.1.0-1.mga1
+ Revision: 46445
- fix major

  + dmorgan <dmorgan>
    - New version

* Tue Jan 25 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 39559
- don't ship .a
- drop old/unneeded scriptlets
- imported package libmatroska

